package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import com.jz.dmp.modules.controller.sys.bean.DmpMemberProjectRoleDto;
import com.jz.dmp.modules.model.DmpMemberProjectRole;

/**用户项目角色表 mapper
 * @author ybz
 *
 */
public interface DmpMemberProjectRoleMapper {
	
	/**新增用户项目角色表
     * @param dmpMemberProjectRole
     * @return
     * @throws Exception
     */
    public int insert(DmpMemberProjectRole dmpMemberProjectRole)throws Exception;

    /**选择性增加用户项目角色表
     * @param dmpMemberProjectRole
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpMemberProjectRole dmpMemberProjectRole)throws Exception;
    
    /**主键修改用户项目角色表
     * @param dmpMemberProjectRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpMemberProjectRole dmpMemberProjectRole)throws Exception;

    /**选择性修改用户项目角色表
     * @param dmpMemberProjectRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpMemberProjectRole dmpMemberProjectRole)throws Exception;
    
    /**主键查询用户项目角色表
     * @param dmpMemberProjectRoleId
     * @return
     * @throws Exception
     */
    public DmpMemberProjectRole selectByPrimaryKey(Integer dmpMemberProjectRoleId)throws Exception;

    /**主键删除用户项目角色表
     * @param dmpMemberProjectRoleId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpMemberProjectRoleId)throws Exception;

	/**条件查询用户项目角色表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpMemberProjectRoleDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询用户项目角色表
	 * @param dmpMemberProjectRoleId
	 * @return
	 * @throws Exception
	 */
	public DmpMemberProjectRoleDto findById(Integer dmpMemberProjectRoleId)throws Exception;

	/**批量新增用户项目角色表
	 * @param dmpMemberProjectRoles
	 * @throws Exception
	 */
	public void insertBatch(List<DmpMemberProjectRole> dmpMemberProjectRoles)throws Exception;
	
}
